# pandas.core.groupby.SeriesGroupBy.nsmallest

`SeriesGroupBy.``nsmallest`(*args, **kwargs)

  Return the smallest n elements.

  Parameters:

  n : int

  > Return this many ascending sorted values

  keep : {‘first’, ‘last’, False}, default ‘first’

  > Where there are duplicate values: - `first` : take the first occurrence. - `last` : take the last occurrence.

  take_last : deprecated

  Returns:

  bottom_n : Series

  > The n smallest values in the Series, in sorted order

  See also

  `Series.nlargest`

  Notes

  Faster than `.sort_values().head(n)` for small n relative to the size of the `Series` object.

  Examples

      >>> import pandas as pd
      >>> import numpy as np
      >>> s = pd.Series(np.random.randn(1e6))
      >>> s.nsmallest(10)  # only sorts up to the N requested